Layout Module Issues When Building 1.9 Source

Topics: Installing Orchard
May 15, 2015 at 9:19 AM
Edited May 15, 2015 at 9:20 AM
Hi I am just trying to get started with Orchard. I have downloaded the 1.9 source zip and opened in VS and get errors

src\Orchard.Web\Modules\Orchard.Layouts\LayoutEditor\Module.js doesn't exist

and few errors about missing fles. When I look in the Layouts module folder there is no LayourEditor folder.

I am sure this is just a noob error but any assistance would be appreciated.
Developer
May 15, 2015 at 9:51 AM
I just downloaded the 1.9 source zip (https://github.com/OrchardCMS/Orchard/archive/1.9.zip), but I do see the file you mentioned just fine. No errors about any missing file. I recommend downloading the package again and unzip to another location to confirm the package is fine.
May 15, 2015 at 12:07 PM
Edited May 15, 2015 at 12:12 PM
Mmm weird. I just downloaded from link you provided and still get

Bundle error: src\orchard.web\modules\orchard.layouts\layouteditor\module.js
Bundle error: src\orchard.web\modules\orchard.layouts\models\helpers.js

Looks like Web Essentials that is unhappy but I can't see a layouteditor folder in \orchard.layouts in the archive when I explore with 7Zip.

Update: Looks like its trying to resolve the wrong paths. It should be relative to the scripts directory